// Standard library headers.
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Header file for the Labjack U3.
#include "U3Config.h"

int main()
{	
	LJ_HANDLE u3Handle; // Identifier of the Labjack U3 opened.
	double temperature = 0.0; // Temperature returned by the internal sensor of the Labjack U3.

	U3Open(&u3Handle);

	U3Reset(u3Handle);

	U3GetTemperature(u3Handle, &temperature);

	printf("Temperature : %lf\n", temperature);

	system("pause");

	U3Close(&u3Handle);

	return EXIT_SUCCESS;
}
